# Object Type Details

To update, modify, or view the details of an Object Type, choose **Components > Object Types** in the navigational menu, then choose the Object Type. The Object Type detail view includes tabbed navigation for...

* [**Definition**](/documentation-and-resources/components-and-data/object-types/object-type-details/definition.md)**:** Id, Display Name, Description, and Category
* [**Data Schema**](/documentation-and-resources/components-and-data/object-types/object-type-details/data-schema.md)**:** a JSON schema that describes the format and primaryKey (permanent) of Records created for the Object Type - importantly, schemas don't need to include properties like createdAt or updatedAt timestamps which are automatically added to Records as [Metadata](/documentation-and-resources/components-and-data/object-types/object-type-details/data-schema/automatic-metadata.md)
* [**UI Schema**](/documentation-and-resources/components-and-data/object-types/object-type-details/ui-schemas.md): a collection of JSON schemas that describe the UI for the Object Type within the Tenant Workspace UI
* [**Optional Features**](/documentation-and-resources/components-and-data/object-types/object-type-details/features.md)**:** manage Audit Trail and Record Versioning, on supported subscription plans
* [**Triggers**](/documentation-and-resources/components-and-data/object-types/object-type-details/triggers.md)**:** send Records to [Agents](/documentation-and-resources/components-and-data/agents.md) (and their [Flows](/documentation-and-resources/components-and-data/flows.md)) automatically Post-Insert, Post-Update, and Post-Delete for processing
* [**Actions**](/documentation-and-resources/components-and-data/object-types/object-type-details/actions.md)**:** send Records to [Agents](/documentation-and-resources/components-and-data/agents.md) (and their [Flows](/documentation-and-resources/components-and-data/flows.md)) manually in the Tenant Workspace UI, or by executing the Action on a Record using the [Tenant API](https://github.com/ContextualIO/docs/blob/main/components-and-data/object-types/object-type-details/broken-reference/README.md)
* [**Audit Trail**](/documentation-and-resources/components-and-data/object-types/object-type-details/audit-trail.md)**:** if the Audit Trail feature is enabled, see an immutable, permanent log of all activity for Records of the Object Type, with details of the change as well as who (or what) performed the change
* [**Versions**](/documentation-and-resources/components-and-data/object-types/object-type-details/versions.md)**:** as changes are made to the Object Type, a version history is kept - keep track of changes and restore previous versions if needed
* [**Templates**](/documentation-and-resources/components-and-data/object-types/object-type-details/templates.md)**:** define multiple templates with suggested or pre-filled values for Record properties, to aid in rapid and well-informed data entry within the Tenant Workspace UI
* [**Records**](/documentation-and-resources/components-and-data/object-types/object-type-details/records.md)**:** one record, or a million - limited only by your Contextual subscription plan


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.contextual.io/documentation-and-resources/components-and-data/object-types/object-type-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
